import request from '@/utils/request'

// 查询联席会议列表
export function listJOINTCONFERENCE(query) {
  return request({
    url: '/JOINTCONFERENCE/list',
    method: 'get',
    params: query
  })
}

// 查询联席会议所有列表
export function listAllJOINTCONFERENCE(query) {
  return request({
    url: '/JOINTCONFERENCE/listAll',
    method: 'get',
    params: query
  })
}

// 查询联席会议详细
export function getJOINTCONFERENCE(id) {
  return request({
    url: '/JOINTCONFERENCE/getInfo/' + id,
    method: 'get'
  })
}

// 新增联席会议
export function addJOINTCONFERENCE(data) {
  return request({
    url: '/JOINTCONFERENCE/add',
    method: 'post',
    data: data
  })
}

// 修改联席会议
export function updateJOINTCONFERENCE(data) {
  return request({
    url: '/JOINTCONFERENCE/edit',
    method: 'post',
    data: data
  })
}

// 删除联席会议
export function delJOINTCONFERENCE(id) {
  return request({
    url: '/JOINTCONFERENCE/remove/' + id,
    method: 'get'
  })
}
